Loading...
Searching...
No Matches
gpiod::chip_closed Class Referencefinal

Exception thrown when an already closed chip is used. More...

`#include <exception.hpp>`

Inheritance diagram for gpiod::chip_closed:
[legend]
Collaboration diagram for gpiod::chip_closed:
[legend]

## Public Member Functions

| chip_closed (const ::std::string &what)
| Constructor.
| chip_closed (const chip_closed &other) noexcept
| Copy constructor.
| chip_closed (chip_closed &&other) noexcept
| Move constructor.
chip_closed & | operator= (const chip_closed &other) noexcept
| Assignment operator.
chip_closed & | operator= (chip_closed &&other) noexcept
| Move assignment operator.
| ~chip_closed ()

## Detailed Description

Exception thrown when an already closed chip is used.

## Constructor & Destructor Documentation

## chip_closed() [1/3]

gpiod::chip_closed::chip_closed | ( | const ::std::string & | what | ) |

explicit

Constructor.

Parameters

  what | Human readable reason for error.

## chip_closed() [2/3]

gpiod::chip_closed::chip_closed | ( | const chip_closed & | other | ) |

noexcept

Copy constructor.

Parameters

  other | Object to copy from.

## chip_closed() [3/3]

gpiod::chip_closed::chip_closed | ( | chip_closed && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~chip_closed()

gpiod::chip_closed::~chip_closed | ( |  | ) |

## Member Function Documentation

## operator=() [1/2]

chip_closed & gpiod::chip_closed::operator= | ( | chip_closed && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## operator=() [2/2]

chip_closed & gpiod::chip_closed::operator= | ( | const chip_closed & | other | ) |

noexcept

Assignment operator.

Parameters

  other | Object to copy from.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- exception.hpp